import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function abnormalList(data) {
  return request({
    url: `/abnormal/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function abnormalListExport(data, name) {
  return postBlob({
    url: '/abnormal/list/export',
    data,
    name
  })
}

export function abnormalDetail(params) {
  return request({
    url: `/abnormal/detail`,
    method: 'post',
    params
  })
}

export function abnormalAdd(data) {
  return request({
    url: `/abnormal/add`,
    method: 'post',
    data
  })
}

export function abnormalUpdate(data) {
  return request({
    url: `/abnormal/update`,
    method: 'post',
    data
  })
}
